package com.huimv.transmission.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.transmission.entity.EartagDataEntity;
import com.huimv.transmission.entity.NewAndOffLineEartagEntity;
import com.huimv.transmission.entity.vo.EartagDataVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Mapper
public interface EartagDataDao extends BaseMapper<EartagDataEntity> {

    List<NewAndOffLineEartagEntity> selectChangeEartagList();

    IPage<EartagDataVo> selectByConditions(@Param("page") IPage<EartagDataVo> ipage,@Param(Constants.WRAPPER) LambdaQueryWrapper<EartagDataEntity> lambdaQuery);
}
