package com.huimv.transmission.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.transmission.entity.FarmEartagChangeEntity;
import com.huimv.transmission.entity.vo.ChangeEartagDataVo;
import com.huimv.transmission.mapper.FarmEartagChangeDao;
import com.huimv.transmission.service.FarmEartagChangeService;
import org.springframework.stereotype.Service;

/**
 * <p>
 *
 * </p>
 *
 * @author yinhao
 * @date 2021/7/26 17:48
 */
@Service("farmEartagChangeService")
public class FarmEartagChangeServiceImpl extends ServiceImpl<FarmEartagChangeDao, FarmEartagChangeEntity> implements FarmEartagChangeService {

    @Override
    public IPage<ChangeEartagDataVo> getPigStockByChangeType(Integer currPage, Integer pageSize, Integer type) {
        IPage<ChangeEartagDataVo> iPage = new Page<>(currPage, pageSize);
        LambdaQueryWrapper<FarmEartagChangeEntity> lambdaQuery = Wrappers.lambdaQuery();
        lambdaQuery.eq(FarmEartagChangeEntity::getChangeType, type);
        return baseMapper.getPigStockByChangeType(iPage, lambdaQuery);
    }
}
